ホーム > Magic xpi > Magic xpi 製品情報 > Magic xpi 動作環境

サイト内検索

Magic xpi Integration Platform 動作環境

Magic xpiスタジオ(開発環境)

OS Windows7、Windows8、Windows8.1、Windows10
メモリー 少なくとも4G以上
空きディスク容量 少なくとも2G以上
 Webサーバ インストール時にIISが必須

内部データベース

Microsoft SQL Server 2008、2008R2、2012、2012R2、2014、2016
Oracle10g、11g、12c (OCI 32bitのみ)
バージョンコントロール Microsoft Team Foundation Server 2012、2013、2015、2017

Magic xpiサーバ (実行環境)

OS Windows Server 2012、2012R2、2016
メモリー 少なくとも8G以上
 CPU 少なくとも4つの実コア(または予約された仮想コア)が2.4Ghz以上で動作
ネットワーク ギガビット イーサネット
空きディスク容量 少なくとも2G以上
Webサーバ インストール時にIISが必須
内部データベース Microsoft SQL Server 2008、2008R2、2012、2014、2016
Oracle 11g、12c (OCI 32bitのみ)

アダプタ サポート環境

データベース Microsoft® Windows®
  • Oracle 11g、12c (OCI 32bitのみ)
  • Microsoft SQL Server 2008、2008R2、2012、2014、2016 (32bitクライアントのみ)
  • ODBC3
  • DB2 UDB 9.7 (32-bit クライアントのみ)
  • MySQL 5.x
  • Pervasive 11、12
  • DB2/400 OS/400 V5R4, V6R1, V7R1, V7R2, および V7R3
Webサーバ

Microsoft® 32-bit Windows

  • Internet Information Server v7
  • Internet Information Server v8
  • Internet Information Server v10
  • Apache 2.0

Microsoft® 64-bit Windows

  • Internet Information Server v7
  • Internet Information Server v8
  • Internet Information Server v10
ミドルウェア、フレームワーク、プロトコル Microsoft® Windows®
  • IBM WebSphere® MQ 7.5 および 8.0 クライアント/サーバ – メッセージング機能用 MQクラスタリング サポート
  • Microsoft® MQ 2.x および 3.x – MSMQメッセージング機能用
  • JMS – JMS API 1.3 クライアント あるいは それ以降が必要
  • JRE 7.0 および JRE 8.0 – Javaインテグレーション機能用
  • Microsoft® Active Directory
  • LDAP V.2 and V.3 using simple bind
  • SOAP 1.1
  • SOAP 1.2
セキュアコントロールプロバイダ Microsoft® Windows®
Magic xpiは、TFSやVisual SourceSafeなどのSCC(ソースコード制御)API V1.01を使用するサードパーティのソース管理製品に対して、ソース管理のサポートを提供します。
(Microsoft Team Foundation Server2012 - 2017の使用を強く推奨)
エコシステム
  • Dynamics AX 2012
  • Dynamics CRM 2012 から2016
  • Dynamics CRM 365 version9 (CRM機能)
  • Exchange 2007 以降(On-Demand、On-Premise共に)
  • JD Edwards Enterprise One 8.12,9.1 および 9.2
  • JD Edwards World A 7.x, A 8.x, および A 9.x
  • Salesforce API 39
  • SAPB12004,2005,2007,およびSAP B1 HANAを含む8.8および9.x
  • SAP ERP 4.6c以降 S/4 HANAまでのJCO APIをサポートするSAP ERPのすべての製品
  • SharePoint® Server 2007, 2010, 2013およびOnline (MOSS)
  • SugarCRM V10,V11.x REST API およびLegacy API (4.x)
  • Lotus Notes V5.5以降
  • ServiceMax : Salesforceに準拠ceに準拠